#!/bin/bash
set -e

BUILD_PATH=build
TAR_NAME=all_artifacts
ARCHIVE_PATH=build/archive

CURRENT_DIR=$PWD

mkdir -p ${CURRENT_DIR}/${ARCHIVE_PATH}

echo "Cleaning up previous archives"
rm -rf ${CURRENT_DIR}/${ARCHIVE_PATH}/${TAR_NAME}.tar.gz

echo "Adding dashboard files to archive"

cd ${BUILD_PATH}

count_file=`ls -1 dashboards/*.json 2>/dev/null | wc -l`
echo "${count_file} json files found at `pwd`"

if [ $count_file != 0 ]
 then
    tar -cvzf ${CURRENT_DIR}/${ARCHIVE_PATH}/${TAR_NAME}.tar.gz dashboards alerts
    ls -larth ${CURRENT_DIR}/${ARCHIVE_PATH}
    echo "Uploading to $ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${TAR_NAME}.tar.gz"
    curl -u $ARTIFACTORY_USER:$ARTIFACTORY_PASS -T ${CURRENT_DIR}/${ARCHIVE_PATH}/${TAR_NAME}.tar.gz "$ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${TAR_NAME}.tar.gz"
    echo "Artifact Uploaded Successfully"
else
    echo  "ERROR: No json files found at ${BUILD_PATH}/dashboards. Build process Failed"
    ls -larth ${BUILD_PATH}/dashboards
    exit 1
fi

cd ${CURRENT_DIR}


